# List Companies

`GET /api/v1/companies HTTP/1.1`

### Parameters

| Param  | Mandatory | Description                                                    |
| ------ | --------- | -------------------------------------------------------------- |
| name   | N         | Partial name of the Company, minimum 3 chars required.         |
| domain | N         | Partial Domain Name without http(s), minimum 6 chars required. |

Note : You have to pass either Company Name or Domain Name.

### Response Body

```
{
    "status":"status_code",
    "message":"status_message",
    "companies": [
        {
            "id": "intellizence_company_id_1",
            "name": "company_name_1",
            "domain": "company_domain_1"
        },
        {
            "id": "intellizence_company_id_2",
            "name": "company_name_2",
            "domain": "company_domain_2"
        }
    ]
}
```

| Status code | Description                                                             |
| ----------- | ----------------------------------------------------------------------- |
| 200         | Success                                                                 |
| 201         | Input minimum 3 chars of Company Name or minimum 6 chars of Domain Name |
| 202         | Minimum 3 chars of Company Name required                                |
| 203         | Minimum 6 chars of Domain Name required                                 |

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.intellizence.com/company-news-signal-api/list-companies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
